> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nuvia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove all rows from the list

> Removes all rows that match the filters/view. Can exclude specific IDs via excludeRowIds.



## OpenAPI

````yaml /en/openapi.json delete /v1/tables/{tableId}/rows/all
openapi: 3.0.0
info:
  title: Nuvia API - Company
  description: API documentation for companies
  version: '1.0'
  contact: {}
servers:
  - url: https://api.nuvia.ai
security: []
tags:
  - name: messages
    x-group: Mensagens
  - name: contacts
    x-group: Contatos
  - name: campaigns
    x-group: Campanhas
  - name: tables
    x-group: Tabelas e Listas
  - name: agents
    x-group: Agentes
  - name: conversations
    x-group: Conversas
  - name: inboxes
    x-group: Caixas de Entrada
  - name: knowledge
    x-group: Base de Conhecimento
  - name: Webhooks
    x-group: Webhooks
  - name: campaign-enrollments
    x-group: Inscrições em Campanha
  - name: custom-fields
    x-group: Campos Customizados
paths:
  /v1/tables/{tableId}/rows/all:
    delete:
      tags:
        - tables
      summary: Remove all rows from the list
      description: >-
        Removes all rows that match the filters/view. Can exclude specific IDs
        via excludeRowIds.
      operationId: TableController_deleteRowsAll
      parameters:
        - name: x-company-id
          in: header
          description: >-
            Target company identifier. Required only for global API keys
            (type=global). Ignored for company API keys and human users.
          required: false
          schema:
            type: string
        - name: tableId
          required: true
          in: path
          description: List ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteTableRowsAllDto'
      responses:
        '200':
          description: ''
      security:
        - JWT-auth: []
components:
  schemas:
    DeleteTableRowsAllDto:
      type: object
      properties:
        excludeRowIds:
          maxItems: 10000
          description: >-
            IDs of rows to exclude from the deletion. Used when "select all" is
            active.
          type: array
          items:
            type: string
        view:
          type: string
          description: ID of the view to use. If omitted, uses the default view.
        filters:
          description: Filters to apply to the rows.
          type: array
          items:
            $ref: '#/components/schemas/FilterItemDto'
    FilterItemDto:
      type: object
      properties:
        field:
          type: string
        operator:
          type: string
          enum:
            - eq
            - neq
            - contains
            - not_contains
            - starts_with
            - ends_with
            - is_empty
            - is_not_empty
        value:
          type: string
      required:
        - field
        - operator
  securitySchemes:
    JWT-auth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Token JWT de autenticação

````